Package org.eclipse.jgit.errors

## Class ObjectWritingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.ObjectWritingException

All Implemented Interfaces:
  `Serializable`

    public class ObjectWritingException
    extends IOException

Cannot store an object in the object database. This is a serious error that users need to be made aware of.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ObjectWritingException​(String s)` Constructs an ObjectWritingException with the specified detail message.
`ObjectWritingException​(String s, Throwable cause)` Constructs an ObjectWritingException with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ObjectWritingException

    public ObjectWritingException​(String s)

Constructs an ObjectWritingException with the specified detail message.

Parameters:
  `s` - message

#### ObjectWritingException

    public ObjectWritingException​(String s,
                                  Throwable cause)

Constructs an ObjectWritingException with the specified detail message.

Parameters:
  `s` - message
  `cause` - root cause exception